---

# 2.9 Create Seperate Partition for /home (Scored)

- name: 2.9 - Create Seperate Partition for /home (Scored)
  command: grep '[[:space:]]/home[[:space:]]' /etc/fstab
  check_mode: no
  register: grep_2_9
  failed_when: "grep_2_9.rc == 2"
  tags:
      - level-1
      - section-2
      - "2.9"
      - scored

- name: 2.9 - Create Seperate Partition for /home (Scored)
  fail:
    msg: "*** ACTION REQUIRED *** Ensure separate partition exists for /home"
  when:
    - grep_2_9.stat.exists is not defined
    - fail_on_manual_remediation_actions
  tags:
    - level-1
    - section-2
    - "2.9"
    - scored

- name: 2.9 - Create Seperate Partition for /home (Scored)
  debug:
    msg: "*** ACTION REQUIRED *** Ensure separate partition exists for /home"
  when:
    - grep_2_9.stat.exists is not defined
    - not fail_on_manual_remediation_actions
  tags:
    - level-1
    - section-2
    - "2.9"
    - scored
